package de.walzen665.ptchat;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

@CrossOrigin(origins = "*")
@RestController
public class ChatRestController {

    private final MessageService messageService;
    private final IdService idService;

    @Autowired
    public ChatRestController(MessageService messageService, IdService idService) {
        this.messageService = messageService;
        this.idService = idService;
    }

    @GetMapping("/getMessages")
    public ResponseEntity<ArrayList<Message>> getMessages() {
        return new ResponseEntity<>(messageService.getMessages(), HttpStatus.OK);
    }

    @PostMapping("/sendMessage")
    public ResponseEntity<String> sendMessage(@RequestBody Message message) {
        System.out.println(message.getMessage());
        messageService.addMessage(message);
        return new ResponseEntity<>("Success!",HttpStatus.OK);
    }

    @DeleteMapping("/clearMessageHistory")
    public ResponseEntity<String> clearMessageHistory() {
        messageService.reset();
        return new ResponseEntity<>("Success!",HttpStatus.OK);
    }

    @GetMapping("/getClientId")
    public ResponseEntity<Long> getClientId() {
        return new ResponseEntity<>(idService.generateRandomEightDigitNumber(), HttpStatus.OK);
    }
}
