import {Component, Input} from '@angular/core';

@Component({
  selector: 'app-message',
  standalone: true,
  imports: [],
  templateUrl: './message.component.html',
  styleUrl: './message.component.scss'
})
export class MessageComponent {
  @Input() username = "Not set";
  @Input() message = "Not set";
  @Input() sendByMe = false;
  @Input() clientId = 0;

  getStickPosition(): String {
    if(this.sendByMe) {
      return "flex-row-reverse";
    }
    return "";
  }

  getBackgroundColor(): String {
    if(this.sendByMe) {
      return "bg-green-200";
    }
    return "";
  }
}
